import { http } from './http.js';

//错误日志
export const errorLog = (params) => http('/api/ble/log/add', params,'Post', false);

// 开锁
export const openLock = (params, filePath) => http('/api/ble/operation/openLock', params,'POST', false);

// 开锁成功的回调
export const openCallBack =(params) => http('/api/ble/operation/opLockNotice', params,'GET', false);

// 安装锁
/**
 * 安装锁接口 返回数据看那个 接口文档
 * @param {
 * 	macId : 蓝牙地址
 *	bluetooth :蓝牙名称
 *	quantity:信号质量
 *	lockType:锁类型
 *	bigLockType:大类型
 * 	verison:版本
 *	roomId:房间ID  从数据中获取
 * } params
 */
export const installLock =(params) => http('/api/projectRoom/installLock', params,'Post', false);

/**
 * 安装锁回掉接口
 * @param {
 * roomId :  房间ID 从数据中获取
 * macId :  蓝牙地址
 * } params
 */
export const installLockNotice =(params) => http('/api/projectRoom/installLockNotice', params,'Post', false);

//添加卡片第一步
export const addCardStepOne = (params) =>  http('/api/ble/operation/cardLaunch', params,'Post', false);

//添加卡片第二步
export const addCardStepTwo = (params) =>  http('/api/ble/operation/addCard', params,'Post', false);

//卡片操作回调
export const cardCallback = (params) => {
    if(params.action=='add'){
        // 添加卡
        return http('/api/ble/operation/addCardNotice', params,'Post', false);
    }else {
        //删除卡
        return http('/api/ble/operation/removeCardNotice', params,'Post', false);
    }
};

//删除卡片
export const removeCard = (params) =>  http('/api/ble/operation/removeCard', params,'Post', false);

//恢复出厂设置
export const resetF = (params) =>  http('/api/ble/operation/reset', params,'Post', false);

//恢复出厂设置回调
export const resetCallBack = (params) =>  http('/api/ble/operation/resetNotice', params,'Post', false);
